using System.Windows;
using CODE.Framework.Wpf.Mvvm;
using CODE.Framework.Wpf.Mvvm.Tools;

namespace MyBusinessApplication
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App
    {
        public App()
        {
            Startup += ApplicationStartup;
        }

        /// <summary>
        /// This method is where all the application startup code should go
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
void ApplicationStartup(object sender, StartupEventArgs e)
{
    // TODO: This is a debug-only visualizer, which should be disabled later
    var viewVisualizer = new ViewVisualizer();
    viewVisualizer.Show();
    Controller.RegisterViewHandler(viewVisualizer);

    // Launching a main form ('shell') and showing a login screen right away
    Controller.Action("Home", "Start");
    Controller.Action("User", "Login");
}
    }
}
